org.springframework.cloud.dataflow.rest

## Class UpdateStreamRequest

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.UpdateStreamRequest

-     public class UpdateStreamRequest
      extends Object

  Captures the required data for updating a stream using Skipper.
  Author:
    Mark Pollack, Ilayaperumal Gopinathan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateStreamRequest()`
    `UpdateStreamRequest(String releaseName, org.springframework.cloud.skipper.domain.PackageIdentifier packageIdentifier, Map<String,String> updateProperties)`
    `UpdateStreamRequest(String releaseName, org.springframework.cloud.skipper.domain.PackageIdentifier packageIdentifier, Map<String,String> updateProperties, boolean force, List<String> appNames)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAppNames()`
    `org.springframework.cloud.skipper.domain.PackageIdentifier` | `getPackageIdentifier()`
    `String` | `getReleaseName()`
    `Map<String,String>` | `getUpdateProperties()`
    `boolean` | `isForce()`
    `void` | `setAppNames(List<String> appNames)`
    `void` | `setForce(boolean force)`
    `void` | `setPackageIdentifier(org.springframework.cloud.skipper.domain.PackageIdentifier packageIdentifier)`
    `void` | `setReleaseName(String releaseName)`
    `void` | `setUpdateProperties(Map<String,String> updateProperties)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateStreamRequest

          public UpdateStreamRequest()

    - #### UpdateStreamRequest

          public UpdateStreamRequest(String releaseName,
                                     org.springframework.cloud.skipper.domain.PackageIdentifier packageIdentifier,
                                     Map<String,String> updateProperties)

    - #### UpdateStreamRequest

          public UpdateStreamRequest(String releaseName,
                                     org.springframework.cloud.skipper.domain.PackageIdentifier packageIdentifier,
                                     Map<String,String> updateProperties,
                                     boolean force,
                                     List<String> appNames)

  - ### Method Detail

    - #### getReleaseName

          public String getReleaseName()

    - #### setReleaseName

          public void setReleaseName(String releaseName)

    - #### getPackageIdentifier

          public org.springframework.cloud.skipper.domain.PackageIdentifier getPackageIdentifier()

    - #### setPackageIdentifier

          public void setPackageIdentifier(org.springframework.cloud.skipper.domain.PackageIdentifier packageIdentifier)

    - #### getUpdateProperties

          public Map<String,String> getUpdateProperties()

    - #### setUpdateProperties

          public void setUpdateProperties(Map<String,String> updateProperties)

    - #### isForce

          public boolean isForce()

    - #### setForce

          public void setForce(boolean force)

    - #### getAppNames

          public List<String> getAppNames()

    - #### setAppNames

          public void setAppNames(List<String> appNames)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.